10 Replies Latest reply: Nov 7, 2012 1:33 PM by jgwynn86
adharris624 Level 1 (0 points)

I'm trying to download the twitter app again to my iPod touch but it keeps saying I need iOS 5 but I don't know what to do or how to get it, what do I need to do?

iPod touch